all: fdisk-bin format-bin disklabel-bin ttyd-bin ubistry-bin modprobe-bin

modprobe-bin: modprobe
	(cd modprobe;make)
fdisk-bin: fdisk
	(cd fdisk;make)
format-bin: format 
	(cd format;make)
disklabel-bin: disklabel
	(cd disklabel;make)
ttyd-bin: ttyd
	(cd ttyd;make)
ubistry-bin: ubistry
	(cd ubistry;make)
clean:
	(cd fdisk;make clean)
	(cd format;make clean)
	(cd ttyd;make clean)
	(cd disklabel;make clean)
	(cd ubistry;make clean)

